Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swtbot.eclipse.finder.widgets
Class SWTBotPerspective

    java.lang.Object
      org.eclipse.swtbot.eclipse.finder.widgets.SWTBotPerspective

    public class SWTBotPerspective

extends Object

This represents an eclipse workbench perspective.

Author:
  Ralf Ebert www.ralfebert.de (bug 271630)

Constructor Summary
`SWTBotPerspective(IPerspectiveDescriptor perspectiveDescriptor, SWTWorkbenchBot bot)` Constructs an instance of the given object.

Method Summary
`void` | `activate()` Switches the active workbench page to this perspective.
`String` | `getLabel()`
`boolean` | `isActive()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SWTBotPerspective

    public SWTBotPerspective(IPerspectiveDescriptor perspectiveDescriptor,
                             SWTWorkbenchBot bot)
                      throws WidgetNotFoundException

  Constructs an instance of the given object.

  Parameters:
    `perspectiveDescriptor` - the perspective descriptor.
    `bot` - the instance of `SWTWorkbenchBot` which will be used to drive operations on behalf of this object.
  Throws:
    `WidgetNotFoundException` - if the widget is `null` or widget has been disposed.
  Since:
    2.0

Method Detail

### activate

    public void activate()

  Switches the active workbench page to this perspective.

### isActive

    public boolean isActive()

  Returns:
    true if this perspective is active in the active workbench page

### getLabel

    public String getLabel()

  Returns:
    the perspective label

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD